## isa-support 26

=== debian/control ===
Source: isa-support
Section: misc
Priority: optional
Maintainer: Bastien Roucariès <rouca@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf, libtext-trim-perl, liblist-moreutils-perl:native
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/isa-support.git
Vcs-Browser: https://salsa.debian.org/debian/isa-support

Package: isa-support
Multi-Arch: same
Architecture: any-amd64 any-arm any-i386 arm64 powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU feature checking - common back-end
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This package provides the feature-probing infrastructure. To assert a CPU
 requirement, other packages can pre-depend on one of the individual
 feature-specific packages:
 .
 sse2-support, sse3-support, sse4.2-support, altivec-support, neon-support,
 armv6-support, armv7-support, armv8-support, vfp-support, vfpv2-support,
 vfpv3-support

Package: sse2-support
Multi-Arch: foreign
Architecture: any-i386
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE2 and
 refuses to install on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE2 was an incremental upgrade to SSE intended to fully replace the earlier
 MMX instruction set. It is available on processors from Pentium 4 onward,
 including all 64-bit capable ones, but not on Pentium 3, Athlon XP, Via C3,
 Quark, or older processors.

Package: amd64-baseline-support
Multi-Arch: foreign
Architecture: any-i386
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require amd64-baseline
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for amd64-baseline and
 refuses to install on unsupported hardware.
 .
 This is the Micro-Architecture Levels baseline for Debian under
 x86-64 architecture, corresponding to x86-64 psABI v1.
 .
 This includes:
  - cmov instruction (CMOV instruction set),
  - cmpxchg8b ant other 64 bits atomics instruction (CX8 instruction set),
  - MMX a single instruction, multiple data (SIMD) instruction set,
  - streaming SIMD Extensions (SSE) set, a single instruction, multiple data
   (SIMD) instruction set extension,
  - SSE2 an incremental upgrade to SSE.
 .
 On ABIs other than the x86-64 psABI they select the same CPU features
 as the x86-64 psABI documents for the particular micro-architecture level.

Package: x86-64-v2-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require x86-64-v2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for x86-64-v2 and
 refuses to install on unsupported hardware.
 .
 This is the Micro-Architecture Levels version 2 as defined by the
 amd64 ABI document.
 This includes:
  - cmov instruction (CMOV instruction set),
  - cmpxchg8b ant other 64 bits atomics instruction (CX8 instruction set),
  - MMX a single instruction, multiple data (SIMD) instruction set,
  - streaming SIMD Extensions (SSE) set, a single instruction, multiple data
    (SIMD) instruction set extension,
  - SSE2 an incremental upgrade to SSE.
  - cmpxchg16b ant other 128 bits atomics instruction (CX16 instruction set),
  - SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
    to SSE2
  - SSE4.1 added a dot product instruction and additional integer instructions.
  - SSE4.2 added string and text processing instructions that perform character
    searches and comparison on two operands of 16 bytes at a time.
  - SSSE3 or Supplemental Streaming SIMD Extension 3.
 .
 The corresponding micro-architecture level from the x86-64 psABI.
 On ABIs other than the x86-64 psABI they select the same CPU features
 as the x86-64 psABI documents for the particular micro-architecture level.

Package: sse3-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE3
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE3 and
 refuses to install on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
 to SSE2, adding a handful of new operations useful for processing media. It
 is available on almost any 64-bit-capable processor except for some early
 AMD models (Sledgehammer and Clawhammer), but is not available on most
 32-bit-only hardware.

Package: sse4.1-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE4.1
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE4.1 and
 refuses to install on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE4.1 added a dot product instruction and additional integer instructions.
 It is available on Intel processors since Penryn (circa 2008), but notably
 not on anything AMD until the Bulldozer (15h, in 2011) and Jaguar (16h, in
 2013) families.

Package: sse4.2-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE4.2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE4.2 and
 refuses to install on unsupported hardware.
 .
 SSE4.2 added string and text processing instructions that perform character
 searches and comparison on two operands of 16 bytes at a time. It is
 available on Intel processors since Nehalem (circa 2008), but notably not
 on anything AMD until the Bulldozer (15h, in 2011) and Jaguar (16h, in
 2013) families.

Package: x86-64-v3-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require x86-64-v3
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for x86-64-v3 and
 refuses to install on unsupported hardware.
 .
 This is the Micro-Architecture Levels version 3 as defined by
 the amd64 ABI document.
 This includes:
  - cmov instruction (CMOV instruction set),
  - cmpxchg8b ant other 64 bits atomics instruction (CX8 instruction set),
  - MMX a single instruction, multiple data (SIMD) instruction set,
  - streaming SIMD Extensions (SSE) set, a single instruction, multiple data
   (SIMD) instruction set extension,
  - SSE2 an incremental upgrade to SSE.
  - cmpxchg16b ant other 128 bits atomics instruction (CX16 instruction set),
  - SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
    to SSE2,
  - SSE4.1 added a dot product instruction and additional integer instructions,
  - SSE4.2 added string and text processing instructions that perform character
    searches and comparison on two operands of 16 bytes at a time,
  - SSSE3 or Supplemental Streaming SIMD Extension 3,
  - Advanced Vector Extensions (AVX and AVX2)
  - Bit manipulation instructions sets (BMI and BMI2),
  - F16C instruction set converting between half-precision
    and standard IEEE single-precision floating-point formats,
  - LZCNT instruction, Count the Number of Leading Zero Bits,
  - OSXSAVE, Save Processor Extended States instruction.
 .
 The corresponding micro-architecture level from the x86-64 psABI.
 On ABIs other than the x86-64 psABI they select the same CPU features
 as the x86-64 psABI documents for the particular micro-architecture level.

Package: altivec-support
Multi-Arch: foreign
Architecture: powerpc ppc64 ppc64el
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require altivec
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for altivec and
 refuses to install on unsupported hardware.
 .
 AltiVec is a single-precision floating point and integer SIMD instruction
 set. It is a standard part of the Power ISA v.2.03 specification.

Package: neon-support
Multi-Arch: foreign
Architecture: any-arm
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require neon
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for neon and
 refuses to install on unsupported hardware.
 .
 This is a mostly dummy package which checks for Neon and refuses to install
 on unsupported hardware.
 .
 Neon, also known as MPE (Media Processing Engine) or Advanced SIMD, is a
 combined 64- and 128-bit SIMD instruction set that provides standardised
 acceleration for media and signal processing applications. It is available
 on the vast majority of armhf devices but not guaranteed before the 64-bit
 capable ARMv8.

Package: armv6-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require ARMv6
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for ARMv6 and
 refuses to install on unsupported hardware.
 .
 The ARMv6 architecture (not to be confused with product family ARM6) uses

## isa-support 27

=== debian/changelog ===
isa-support (27) unstable; urgency=medium

  * Bug fix: "Update/add debconf template translation [INTL:ca]", thanks
    to Carles Pina i Estany (Closes: #1101119).
  * Bug fix: "[INTL:ro] Romanian debconf templates translation of
    isa-support", thanks to Remus-Gabriel Chelu (Closes: #1102146).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 21 Apr 2025 14:52:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Bastien Roucariès <rouca@debian.org>
-Build-Depends: debhelper-compat (= 13), po-debconf, libtext-trim-perl, liblist-moreutils-perl:native
+Build-Depends: debhelper-compat (= 13), po-debconf, libtext-trim-perl, liblist-moreutils-perl:native, qemu-user <!nocheck>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/isa-support.git
@@ -12,6 +12,7 @@
 Multi-Arch: same
 Architecture: any-amd64 any-arm any-i386 arm64 powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: qemu-user (<< 1:9.1.0+ds-8~)
 Description: CPU feature checking - common back-end
  The packages in the isa-support family probe for microprocessor Instruction
  Set Architecture features such as SSE3. By refusing to install on machines

=== debian/tests/control ===
Tests: test-i386-baseline
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386

Tests: test-SSE2
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386

Tests: test-amd64-baseline
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386

Tests: test-x86-64-v1
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386

Tests: test-x86-64-v2
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE3
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.1
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.2
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386 any-amd64

Tests: test-x86-64-v3
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-i386 any-amd64

Tests: test-neon
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-arm

Tests: test-ARMv6
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: armel

Tests: test-ARMv6K
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: armel

Tests: test-ARMv7
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: armel

Tests: test-ARMv8
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-arm

Tests: test-arm64-baseline
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: any-arm

Tests: test-VFP
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: armel

Tests: test-VFPv2
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: armel

Tests: test-VFPv3
Depends: isa-support, qemu-user (>>1:9.1.0+ds-8~), build-essential
Architecture: armel

## isa-support 27ubuntu1~cloud0

=== debian/changelog ===
isa-support (27ubuntu1~cloud0) noble-flamingo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Jun 2025 18:00:38 +0000

isa-support (27ubuntu1) questing; urgency=medium

  * i386 doesn't have a qemu build.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jun 2025 11:27:34 +0200

## isa-support 27ubuntu1

=== Makefile ===
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
prefix?=/usr
exec_prefix?=$(prefix)
DESTDIR?=
libexecdir?=$(exec_prefix)/libexec
archlibexecdir?=$(exec_prefix)/libexec/$(DEB_HOST_MULTIARCH)
INSTALL?=install

uniq = $(if $1,$(firstword $1) $(call uniq,$(filter-out $(firstword $1),$1)))

ISAS_ARCH_LIST:=$(shell cat isa-list | grep '^Architecture:' | cut -d ':' -f2 | sort -u)
ISAS_ARCH_FORUS:=$(call uniq, $(foreach isaarch, $(ISAS_ARCH_LIST), $(shell dpkg-architecture -a $(DEB_HOST_ARCH) -i $(isaarch) && echo $(isaarch))))
ISAS_ARCH_FORUS_GREP:=$(foreach isa, $(ISAS_ARCH_FORUS), -e '^Architecture:.*[[:space:]]$(isa)')

ISAS:= $(shell cat isa-list | grep -A1 ^Name  | grep -B1 $(ISAS_ARCH_FORUS_GREP) -e 'FakeArchIsEmptySet' | grep ^Name | cut -d ' ' -f2)



TEST_BINARIES = $(foreach isa,$(ISAS),test-$(isa))
QEMU_BINARIES = $(foreach type,good bad,$(foreach isa,$(ISAS),qemu-$(type)-$(isa)))
TEST_SOURCES = $(foreach isa,$(ISAS),test-$(isa).c)

GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).docs)
GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).lintian-overrides)
GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).preinst)
GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).templates)
GENERATED_FILES += $(TEST_SOURCES)
ALL_GENERATED_FILES += $(GENERATED_FILES) debian/control
ALL_BINARIES = $(TEST_BINARIES) $(QEMU_BINARIES)

INPUT_FILES = $(wildcard debian/*.in)

CFLAGS ?=
CFLAGS += -Wall
CFLAGS += $(shell cat isa-list | sed -e 's/^Name: /Name: test-/' | grep $@ -A3 | grep '^CFLAGS:' | cut -d ' ' -f2-)

all: $(TEST_BINARIES)
	@:

clean:
	rm -f $(GENERATED_FILES)
	rm -f $(ALL_BINARIES)
	rm -f .last-refresh

install:
	mkdir -p $(DESTDIR)/$(archlibexecdir)/isa-support
	for bin in $(TEST_BINARIES); do $(INSTALL) $$bin $(DESTDIR)/$(archlibexecdir)/isa-support; done
	for bin in $(QEMU_BINARIES); do if test -e $$bin; then $(INSTALL) $$bin $(DESTDIR)/$(archlibexecdir)/isa-support; fi; done

check:
	set -e ;for isa in $(ISAS); do \
		if test -e qemu-good-$$isa; then \
			echo "Test $$isa"; \
			echo "Test good"; \
			sh ./qemu-good-$$isa ./test-$$isa && echo 'ok'; \
			echo "Test bad"; \
			sh ./qemu-bad-$$isa ./test-$$isa || echo 'ok'; \
		fi; \
	done;

refresh: $(ALL_GENERATED_FILES) $(TEST_SOURCES)
	@:

$(GENERATED_FILES): .last-refresh
	@:

.last-refresh: refresh-package $(INPUT_FILES)
	./refresh-package
	touch $@

.PHONY: all clean refresh

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Bastien Roucariès <rouca@debian.org>
-Build-Depends: debhelper-compat (= 13), po-debconf, libtext-trim-perl, liblist-moreutils-perl:native, qemu-user <!nocheck>
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), po-debconf, libtext-trim-perl, liblist-moreutils-perl:native, qemu-user [!i386] <!nocheck>
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/isa-support.git
 Vcs-Browser: https://salsa.debian.org/debian/isa-support

## isa-support 27ubuntu2

=== debian/changelog ===
isa-support (27ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:27:20 +0100
